OpenTTD Source: PATSChunkHandler Struct Reference

OpenTTD Source 14.0-beta1

Public Member Functions
PATSChunkHandler Struct Reference
Inheritance diagram for PATSChunkHandler:

## Public Member Functions
SettingTable | GetSettingTable () const
| Create a single table with all settings that should be stored/loaded in the savegame.
void | Load () const override
| Load the chunk. More...
void | LoadCheck (size_t) const override
| Load the chunk for game preview. More...
void | Save () const override
| Save the chunk. More...
Public Member Functions inherited from ChunkHandler
| ChunkHandler (uint32_t id, ChunkType type)
virtual void | FixPointers () const
| Fix the pointers. More...
std::string | GetName () const

## Additional Inherited Members
Data Fields inherited from ChunkHandler
uint32_t | id
| Unique ID (4 letters).
ChunkType | type
| Type of the chunk. More...

## Detailed Description

Definition at line 156 of file settings_sl.cpp.

## Member Function Documentation

## ◆ Load()

void PATSChunkHandler::Load | ( |  | ) | const
| inlineoverridevirtual

Load the chunk.

Must be overridden.

Implements ChunkHandler.

Definition at line 188 of file settings_sl.cpp.

References _settings_game, _settings_sl_compat, GetSettingTable(), and LoadSettings().

## ◆ LoadCheck()

void PATSChunkHandler::LoadCheck | ( | size_t | len | ) | const
| inlineoverridevirtual

Load the chunk for game preview.

Default implementation just skips the data.

Parameters

  len | Number of bytes to skip.

Reimplemented from ChunkHandler.

Definition at line 196 of file settings_sl.cpp.

References _load_check_data, _settings_sl_compat, GetSettingTable(), and LoadSettings().

## ◆ Save()

void PATSChunkHandler::Save | ( |  | ) | const
| inlineoverridevirtual

Save the chunk.

Must be overridden, unless Chunk type is CH_READONLY.

Reimplemented from ChunkHandler.

Definition at line 201 of file settings_sl.cpp.

References _settings_game, GetSettingTable(), and SaveSettings().

The documentation for this struct was generated from the following file:

- src/saveload/settings_sl.cpp